View Issue Details

IDProjectCategoryView StatusLast Update
0019324LazarusIDEpublic2017-10-22 18:02
ReporterWDB463 Assigned ToJuha Manninen  
PrioritynormalSeveritytextReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.31 (SVN) 
Summary0019324: propedits.pp - TPropertyEditor with Variants not working, TVariantPropertyEditor commented out
DescriptionVariant properties can not be set via property.
- not direct in write to F...
- not via Set... procedure in write (procedure is not called).
Gives always 'Unknown' back.
- not direct in read F...
- not via Get.. function in read (function nor called).

tkVariant is set to TPropertyEditor
TVariantPropertyEditor is commented out without any hints
TagsNo tags attached.
Fixed in Revisionr52328, r56146
LazTarget-
Widgetset
Attached Files

Relationships

related to 0028040 resolvedJuha Manninen TLRSObjectWriter is missing implementation of WriteVariant 
related to 0031965 resolvedJuha Manninen TSQLQuery.Params[0].Value assignment or changing TSQLQuery.Params[0].Value.Type does not work 

Activities

Boris Matkov

2011-06-09 10:50

reporter   ~0048982

Last edited: 2011-06-09 10:51

The same problem!
Property editor doesn't work with Variant data type.

Mattias Gaertner

2011-06-09 12:17

manager   ~0048987

I removed the misleading commented code.

Juha Manninen

2017-10-22 18:02

developer   ~0103684

Fixed, please test.

Issue History

Date Modified Username Field Change
2011-05-10 13:01 WDB463 New Issue
2011-06-09 10:50 Boris Matkov Note Added: 0048982
2011-06-09 10:51 Boris Matkov Note Edited: 0048982
2011-06-09 12:17 Mattias Gaertner LazTarget => -
2011-06-09 12:17 Mattias Gaertner Note Added: 0048987
2011-06-09 12:17 Mattias Gaertner Status new => confirmed
2017-10-22 15:26 Juha Manninen Relationship added related to 0031965
2017-10-22 18:02 Juha Manninen Fixed in Revision => r52328, r56146
2017-10-22 18:02 Juha Manninen Note Added: 0103684
2017-10-22 18:02 Juha Manninen Status confirmed => resolved
2017-10-22 18:02 Juha Manninen Resolution open => fixed
2017-10-22 18:02 Juha Manninen Assigned To => Juha Manninen
2017-10-22 18:02 Juha Manninen Relationship added related to 0028040